petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSGetCostIntegral

Returns the values of the integral term in the cost functions. It is valid to call the routine after a backward run.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetCostIntegral(TS ts,Vec *v)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

v -the vector containing the integrals for each cost function

### See Also

TSSetCostIntegrand()

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages